package pfc.android.gestormensajeria.entidades;

/**
 * Clase para el manejo de la información de los componentes de un grupo de destinatarios
 * @author Francisco José Lamela Rincón
 *
 */
public class ComponenteGrupo {
	/**
	 * Propiedad para el manejo del id del componente de grupo
	 */
	private Integer id;
	
	/**
	 * Propiedad para el manejo del nombre del grupo
	 */
	private String nombre;
	
	/**
	 * Propiedad para el manejo del id del destinatario del componente de grupo
	 */
    private Integer idDestinatario;
    
    /**
     * Propiedad para el manejo del nombre del destinatario del componente de grupo
     */
    private String nombreDestinatario;
    
    /**
     * Constructor de la clase
     * @param id
     * @param nombre
     * @param idDestinatario
     * @param nombreDestinatario
     */
    public ComponenteGrupo(Integer id, String nombre, Integer idDestinatario, String nombreDestinatario){
    	this.id = id;
    	this.nombre = nombre;
    	this.idDestinatario = idDestinatario;
    	this.nombreDestinatario = nombreDestinatario;
    }
    
    
    /**
     * Devuelve el id del componente del grupo
     * @return
     */
	public Integer getId() {
		return id;
	}
	
	/**
	 * Establece el id del componente del grupo
	 * @param id
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	
	/**
	 * Devuelve el nombre del grupo
	 * @return
	 */
	public String getNombre() {
		return nombre;
	}
	
	/**
	 * Establece el nombre del grupo
	 * @param nombre
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	/**
	 * Devuelve el id del destinatario del componente del grupo
	 * @return
	 */
	public Integer getIdDestinatario() {
		return idDestinatario;
	}
	
	/**
	 * Establece el id del destinatario del componente del grupo
	 * @param idDestinatario
	 */
	public void setIdDestinatario(Integer idDestinatario) {
		this.idDestinatario = idDestinatario;
	}

	/**
	 * Devuelve el nombre del destinatario del componente del grupo
	 * @return
	 */
	public String getNombreDestinatario() {
		return nombreDestinatario;
	}

	/**
	 * Establece el nombre del destinatario del componente del grupo
	 * @param nombreDestinatario
	 */
	public void setNombreDestinatario(String nombreDestinatario) {
		this.nombreDestinatario = nombreDestinatario;
	}
	
}
